Results 1 to 7 of 7

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: How to tell what program used to jailbreak 3gs

  1. #1
    Default How to tell what program used to jailbreak 3gs
    I am running a 3gs with 3.1.2 jailbroken. My question is, is there a way to determine what program I used to jailbreak? I would have sworn that I used blackrain but I see on my desktop "spirit.exe".

  2. #2
    Retired Moderator j3st3r's Avatar
    Join Date
    Mar 2008
    Location
    Louisiana
    Posts
    2,447
    Thanks
    42
    Thanked 405 Times in 395 Posts

    if you have the old bootrom 3GS then it will be hard to tell, if you have the new bootrom and your jailbreak is tethered then you used blackra1n

  3. #3
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    :/ you dont remember how you did it? If you used Blackra1n, do you remember if you once had a black raindrop icon on your springboard and had to use that app to install Cydia and the unlock?

    If it was Spirit, you wouldnt have used an app on the springboard to install Cydia.

  4. #4
    Quote Originally Posted by Anniex423 View Post
    :/ you dont remember how you did it? If you used Blackra1n, do you remember if you once had a black raindrop icon on your springboard and had to use that app to install Cydia and the unlock?

    If it was Spirit, you wouldnt have used an app on the springboard to install Cydia.
    I checked the different icons on my desktop and I am thinking that maybe I used blackrain when I went to 3.0 and must have used spirit when I went to 3.1.2. (its hell getting old) If that is the case then I would have to restore and then jailbreak again using blackrain before updating to 4.0? I would probably be best served to just wait for apples next update and then do it, do you agree? Thanks for your help

  5. #5
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Blackra1n only works on 3.1.2

    Check to see if you have the old bootrom. New bootrom can't jailbreak on iOS 4.

    You have to have your SHSH files so you can restore.

    I'm no 3GS expert so I can't really say how to proceed. But I heard some talk that having Spirit to jailbreak disables you from jailbreaking iOS 4 too. But if you restore rejailbreak with something that's not Spirit, then upgrade and jailbreak it should work. I think...somebody correct me if I'm wrong please.

    Also, on iOS 4 3GS can only be jailbroken by Spirit or Pwnagetool. Heard something about an update on Sn0wbreeze but dunno if that's ok for 3GS. Sorry I'm so vague, I have a 3G :P
    Last edited by i.Annie; 2010-07-19 at 06:09 AM. Reason: Automerged Doublepost

  6. The Following User Says Thank You to i.Annie For This Useful Post:

    John1177 (2010-07-19)

  7. #6
    Quote Originally Posted by Anniex423 View Post
    Blackra1n only works on 3.1.2

    Check to see if you have the old bootrom. New bootrom can't jailbreak on iOS 4.

    You have to have your SHSH files so you can restore.

    I'm no 3GS expert so I can't really say how to proceed. But I heard some talk that having Spirit to jailbreak disables you from jailbreaking iOS 4 too. But if you restore rejailbreak with something that's not Spirit, then upgrade and jailbreak it should work. I think...somebody correct me if I'm wrong please.

    Also, on iOS 4 3GS can only be jailbroken by Spirit or Pwnagetool. Heard something about an update on Sn0wbreeze but dunno if that's ok for 3GS. Sorry I'm so vague, I have a 3G :P
    I am running 3.1.2 and I do have the old bootrom and cydia has my shsh for 3.0,3.1.2 and3.1.3.

  8. #7
    My iPhone is a Part of Me
    Join Date
    Apr 2010
    Location
    N. Ireland
    Posts
    649
    Thanks
    10
    Thanked 81 Times in 75 Posts

    Well since you have the ability to downgrade and are unsure what your JB with, I suggest you downgrade to stock 3.1.2, JB with Blackra1n and then used a Pwned FW iOS4 to upgrade. That way you can't go wrong

  9. The Following User Says Thank You to Will01 For This Useful Post:

    John1177 (2010-07-19)

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •